Vis5D Documentation
<<< Previous | Using Vis5D to Visualize Your Data | Next >>>

# Texture mapping

Texture mapping is a term from computer graphics which means to display a 2- D image over a surface in 3-D. In Vis5D you can display images over the topography (or bottom of the 3-D box when topography is turned off) such as satellite or map images. Texture mapping is only available on SGI systems and those using the Mesa library. Hardware support for texture mapping is highly recommended.

There are three types of texture/image mapping in Vis5D which can specified on the command line or in the 'Options' menu:

`-area N`

  N is the number of the first of a sequence of McIDAS area files. The number of files read equals the number of timesteps in your datafile. Images should all be of the same size. You must use McIDAS to do remapping if necessary.

  Example: Suppose your datafile has 4 time steps and you specify `-area 100`, then AREA0100, AREA0101, AREA0102 and AREA0103 will be loaded and displayed.

  This option needs the McIDAS library which is only available on SGI systems.
`-sequence file`

  This works like the -area option, except that the data come from a very simple file format rather than from McIDAS area files. The file starts with 3 int's that contain the number of images in the sequence, the number of lines per image, and the number of pixels per line. The rest of the file contains the images, one byte per pixel. The function read_texture_sequence in the `image.c` file of the src directory reads this file and serves as a file format reference for those wishing to create such image sequence files.

`-texture file`

  This options specifies a single image to display over the topography for all time steps. The file format is the SGI RGB format. The free XV program can be used to convert your image to RGB format.

When a texture map is available the TEXTURE button on the control panel is used to toggle the display of the imagery on or off.

Note these command line options can be used with each data set named on the command line, and can be entered under Options for each display in the display widget window described in Section 6.20 .

<<< Previous | Home | Next >>>
Saving Image Files and Printing | Up | Tcl scripting